curl --location 'https://api.zid.sa/v1/managers/store/settings/one-signal' \
--header 'Authorization: Bearer {access_token}' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"settings": [
{
"key": "app_id",
"value": "8a3f1c2e-4b6d-4f0a-9c1e-2d7b8e5a3f10"
},
{
"key": "app_key",
"value": "os_v2_app_xxxxxxxx",
"is_encrypted": true
},
{
"key": "one_signal_auth_key",
"value": "os_auth_xxxxxxxx",
"is_encrypted": true
},
{
"key": "android_package_name",
"value": "com.example.store"
},
{
"key": "android_namespace",
"value": "com.example.store"
},
{
"key": "android_sha256_cert_fingerprints",
"value": "14:6D:E9:83:C5:73:06:50:D8:EE:B9:95:2F:34:FC:64:16:A0:83:42:E6:1D:BE:A8:8A:04:96:B2:3F:CF:44:E5"
},
{
"key": "ios_app_id",
"value": "1234567890"
},
{
"key": "ios_bundle_id",
"value": "com.example.store"
},
{
"key": "ios_team_id",
"value": "ABCDE12345"
}
]
}'